- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- EntryMode
- Try it!
Looks up Entry Links referencing the specified Entry.
HTTP request
GET https://dataplex.googleapis.com/v1/{name=projects/*/locations/*}:lookupEntryLinks
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. The project to which the request should be attributed to Format: |
Query parameters
| Parameters | |
|---|---|
entry |
Required. The resource name of the referred Entry. Format: |
entryMode |
Mode of entry reference. |
entryLinkTypes[] |
Entry link types to filter the response by. If empty, all entry link types will be returned. At most 10 entry link types can be specified. |
pageSize |
Maximum number of EntryLinks to return. The service may return fewer than this value. If unspecified, at most 10 EntryLinks will be returned. The maximum value is 10; values above 10 will be coerced to 10. |
pageToken |
Page token received from a previous |
Request body
The request body must be empty.
Response body
Response message for locations.lookupEntryLinks.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"entryLinks": [
{
object ( |
| Fields | |
|---|---|
entryLinks[] |
List of entry links that reference the specified entry. |
nextPageToken |
Token to retrieve the next page of results, or empty if there are no more results in the list. |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permissions on the name resource:
bigquery.tables.getdataplex.entries.getdataplex.glossaryTerms.get
For more information, see the IAM documentation.
EntryMode
Mode of entry reference.
| Enums | |
|---|---|
ENTRY_MODE_UNSPECIFIED |
Unspecified entry mode. Returns both directional and non-directional entry links which references the entry. |
SOURCE |
Returns all directed entry links which references the entry as source. |
TARGET |
Return all directed entry links which references the entry as target. |